 <!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>歌词接龙,歌曲接龙,歌词接龙大全,歌词接龙在线查询-速途宝</title>
    <meta name="keywords" content="歌词接龙,歌曲接龙,歌词接龙大全,歌词接龙在线查询,速途宝"/>
    <meta name="description" content="速途宝为您提供歌词接龙在线查询工具"/>
    <link rel="canonical" href="http://geci.sutubao.com/" />
    <link href="/css/style.css" rel="stylesheet">
</head>
<body>
    <div class="container">
        <h1>歌词接龙查询</h1>
        <div class="search-form">
            <form method="GET" onsubmit="return validateSearch(this);">
                <input type="text" 
                       name="keyword" 
                       placeholder="请输入要接龙的字..." 
                       required 
                       maxlength="1" 
                       oninput="validateInput(this)"
                       pattern="[\u4e00-\u9fa5]">
                <button type="submit">搜索</button>
            </form>
        </div>

                <div class="search-history">
            <h2>最近搜索</h2>
            <div class="history-list">
                                    <a href="/sousuo/517" class="history-item">
                        <span>继字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/343" class="history-item">
                        <span>夜字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/256" class="history-item">
                        <span>底字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/255" class="history-item">
                        <span>里字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/138" class="history-item">
                        <span>笑字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/137" class="history-item">
                        <span>恋字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/135" class="history-item">
                        <span>浅字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/134" class="history-item">
                        <span>还字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/132" class="history-item">
                        <span>应字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/131" class="history-item">
                        <span>空字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/125" class="history-item">
                        <span>看字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/123" class="history-item">
                        <span>长字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/122" class="history-item">
                        <span>第字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/121" class="history-item">
                        <span>当字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/114" class="history-item">
                        <span>来字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/108" class="history-item">
                        <span>单字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/102" class="history-item">
                        <span>但字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/101" class="history-item">
                        <span>丹字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/100" class="history-item">
                        <span>蛋字开头的歌词</span>
                    </a>
                                    <a href="/sousuo/98" class="history-item">
                        <span>喜字开头的歌词</span>
                    </a>
                            </div>
        </div>
            </div>
    
        <footer class="footer">
    <div class="footer-content">
        <p>&copy; 2025 歌词接龙查询系统 版权所有</p>
                <script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?d768f225427fa5bff77e1d1377b5b39d";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

    </div>
</footer>     <script>
    function validateInput(input) {
        // 移除非中文字符
        input.value = input.value.replace(/[^\u4e00-\u9fa5]/g, '');
        
        // 如果输入超过1个字符，只保留第一个字符
        if (input.value.length > 1) {
            input.value = input.value.charAt(0);
            alert('只能输入1个您要接龙的字');
        }
    }

    function validateSearch(form) {
        const keyword = form.keyword.value.trim();
        if (!/^[\u4e00-\u9fa5]{1}$/.test(keyword)) {
            alert('请输入1个中文字');
            return false;
        }
        window.location.href = '/search/' + encodeURIComponent(keyword);
        return false;
    }
    </script>
</body>
</html>